aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xprovision/development51
1 files changed, 51 insertions, 0 deletions
diff --git a/provision/development b/provision/development
new file mode 100755
index 0000000..fa7a323
--- /dev/null
+++ b/provision/development
@@ -0,0 +1,51 @@
+#!/usr/bin/env bash
+#
+# Basic development provision example
+#
+# Copyright (C) 2017 Silvio Rhatto - rhatto at riseup.net
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published
+# by the Free Software Foundation, either version 3 of the License,
+# or any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# Parameters
+DIRNAME="`dirname $0`"
+BASENAME="`basename $0`"
+HOSTNAME="$1"
+DOMAIN="$2"
+MIRROR="$3"
+APT_INSTALL="sudo LC_ALL=C DEBIAN_FRONTEND=noninteractive apt-get install -y"
+
+# Set hostname
+echo "$HOSTNAME.$DOMAIN" | sudo tee /etc/hostname > /dev/null
+sudo hostname $HOSTNAME.$DOMAIN
+
+# Set hosts entry
+if ! grep -q "^127.0.0.1 $HOSTNAME.$DOMAIN $HOSTNAME$" /etc/hosts; then
+ echo "127.0.0.1 $HOSTNAME.$DOMAIN $HOSTNAME" | sudo tee -a /etc/hosts > /dev/null
+fi
+
+# Dependencies
+sudo sed -i -e "s|main$|main contrib non-free|g" /etc/apt/sources.list
+sudo apt-get update
+$APT_INSTALL git
+
+# Tools
+if [ ! -e "$apps" ]; then
+ git clone --recursive https://git.fluxo.info/rhatto/apps
+else
+ ( cd apps && git pull && git submodule update --init )
+fi
+
+apps/inception init
+apps/metadot/metadot load profile debian git vim